Summary:      Library for manipulating RDF files describing LADSPA plugins
Name:         liblrdf
Version:      0.6.1
Release:      2%{?dist}
License:      GPLv2+
URL:          https://github.com/swh/LRDF
Source0:      https://github.com/swh/LRDF/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires: make gcc pkgconfig ladspa-devel openssl-devel raptor2-devel libtool

Requires: ladspa

%description
liblrdf is a library to make it easy to manipulate RDF files describing
LADSPA plugins.

%package devel
Summary:      Library for manipulating RDF files describing LADSPA plugins
Requires:     liblrdf = %{version}-%{release}
Requires:     raptor2-devel

%description devel
This is a library to make it easy to manipulate RDF files describing
LADSPA plugins. This package includes the development tools.

%prep
%autosetup -n LRDF-%{version}

%build
NOCONFIGURE=1 ./autogen.sh
%configure --disable-static
%make_build

%install
%{make_install}
rm -f %{buildroot}%{_libdir}/*.la


%files
%license COPYING
%doc AUTHORS NEWS README
%{_libdir}/liblrdf.so.*
%{_datadir}/ladspa/rdf/ladspa.rdfs

%files devel
%doc ChangeLog
%{_includedir}/*
%{_libdir}/liblrdf.so
%{_libdir}/pkgconfig/*

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.6.1-2
- Rebuilt for OpenCloudOS Stream 23.09

* Wed Aug 23 2023 jackeyji <jackeyji@tencent.com> - 0.6.1-1
- upgrade to 0.6.1

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.5.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.5.0-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Mar 10 2023 cunshunxia <cunshunxia@tencent.com> - 0.5.0-1
- initial build
